import { SimpleChanges, EventEmitter } from '@angular/core';
import { TemplateManagerService } from '../shared/services/template-manager.service';
import { OnChanges, AfterContentInit } from '@angular/core/src/metadata/lifecycle_hooks';
import { Template } from '../../core/models/template.model';
import { MainReportText, FinalExecutedHistory } from '../assist-data-element/assist-data-element.component';
import { SimulatorEngineService } from '../../core/services/simulator-engine.service';
import { Diagram } from '../../core/models/diagram.model';
import { BaseDataElement } from '../../core/elements/models/base-data-element.model';
import { InputData } from '../../core/models/input-data.model';
import { ReportTextPosition } from '../../core/models/report-text.model';
export declare class AcrAssistSimulatorComponent implements OnChanges, AfterContentInit {
    private templateManagerService;
    private simulatorEngineService;
    templateContent: string;
    imagePath: string;
    showKeyDiagram: boolean;
    reportTextPosition: ReportTextPosition;
    inputValues: InputData[];
    inputData: string;
    returnExecutionHistory: EventEmitter<FinalExecutedHistory>;
    returnDefaultElements: EventEmitter<{}>;
    imageUpload: any;
    template: Template;
    isEmptyContent: boolean;
    keyDiagrams: Diagram[];
    resultText: MainReportText;
    isReset: boolean;
    dataElements: BaseDataElement[];
    position: typeof ReportTextPosition;
    constructor(templateManagerService: TemplateManagerService, simulatorEngineService: SimulatorEngineService);
    ngAfterContentInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    resetElements(): void;
    recieveReportText(textReport: MainReportText): void;
    recievedExecutionHistory(finalExecutionHistory: FinalExecutedHistory): void;
    changeListener(event: any): void;
    collapseKeyDiagram(): void;
    collapseReportText(): void;
    reloadUI(): void;
}
